## com.baidubce.services.media.model
Class GetMediaInfoOfFileResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.media.model.GetMediaInfoOfFileResponse

    public class GetMediaInfoOfFileResponse

extends AbstractBceResponse

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`GetMediaInfoOfFileResponse()`

Method Summary
`AudioInfo` `getAudio()`
`String` `getBucket()` 文件所在的BOS的Bucket
`String` `getContainer()`
`Integer` `getDurationInSecond()`
`String` `getEtag()` 文件的MD5值
`Long` `getFileSizeInByte()` 文件的大小
`String` `getKey()` 文件的BOS的Key
`String` `getType()` 文件类型
`VideoInfo` `getVideo()`
`void` `setAudio(AudioInfo audio)`
`void` `setBucket(String bucket)`
`void` `setContainer(String container)`
`void` `setDurationInSecond(Integer durationInSecond)`
`void` `setEtag(String etag)`
`void` `setFileSizeInByte(Long fileSizeInByte)`
`void` `setKey(String key)`
`void` `setType(String type)`
`void` `setVideo(VideoInfo video)`
`String` `toString()`

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetMediaInfoOfFileResponse

    public GetMediaInfoOfFileResponse()

Method Detail

### getBucket

    public String getBucket()

  文件所在的BOS的Bucket

### setBucket

    public void setBucket(String bucket)

### getKey

    public String getKey()

  文件的BOS的Key

### setKey

    public void setKey(String key)

### getFileSizeInByte

    public Long getFileSizeInByte()

  文件的大小

### setFileSizeInByte

    public void setFileSizeInByte(Long fileSizeInByte)

### getEtag

    public String getEtag()

  文件的MD5值

### setEtag

    public void setEtag(String etag)

### getType

    public String getType()

  文件类型

### setType

    public void setType(String type)

### getVideo

    public VideoInfo getVideo()

### setVideo

    public void setVideo(VideoInfo video)

### getAudio

    public AudioInfo getAudio()

### setAudio

    public void setAudio(AudioInfo audio)

### getContainer

    public String getContainer()

### setContainer

    public void setContainer(String container)

### getDurationInSecond

    public Integer getDurationInSecond()

### setDurationInSecond

    public void setDurationInSecond(Integer durationInSecond)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.